Subject: Re: [lojban] More interface words

From: Value Yourself <[email-masked]>
Date: Mon, 23 Apr 2001 01:30:38 -0400 (EDT)

On Sun, 22 Apr 2001, Rob Speer wrote:

> Okay, in what I've done now I've got a few more words.
>
> dialog box: reirdatni canko

Why not reica'o? (Isn't the datni part implied, or redundant?)

> command: selmi'e
> applet: cmamutmi'i
> (I'm sticking by mutmi'i this time. The process (samru'e) performed by an
> applet may not be small, but the program in general (mutmi'i) is
> unobtrusive and small in its representation.)

Although, also consider selpla mutmi'i. I would consider the "size" of a
piece of software to be its memory footprint instead of the size of its
icon.

> animation: mu'uxra

skina?

> clipboard: datnysro
> GMT (Greenwich Mean Time): tcika befo la grenitc.

Heh, this should be the default standard for time unless otherwise
specified!

"universal time" is the preferred international wording, so mu'etcika?
(I really don't know why they didn't choose "earth time" instead. Hubris?
We might make Lojban space-friendly and use tedytcika!)

> Unix time: se snidu be la .iuniks.
> (This one might require a bit of explanation - Unix time is the number of
> seconds since 1970, which is incidentally about when Unix was first
> developed.)
>
> I've also noticed that some of the English text I'm translating is obtuse or
> misinformative. The clock applet has a choice on its popup menu to 'copy time
> to selection'. What it really means is 'copy [to the clipboard] the time [as if
> it were a] selection'.
>
> Anyway, for the Lojban version I just said "ko benji le tcika le datnysro".
>
> I haven't used "ko" much in these translations, but here I decided to use it.
> Many options in dialog boxes are expressed in English as commands, such as
> "Show hidden tasks", but what it means is "Hidden tasks are to be shown" with
> no specific subject. I reserve "ko" for something which would perform an action
> _right now_. So "Show hidden tasks" is just "jarco le mipri samru'e". If there
> were a choice for "ko jarco le mipri samru'e", it would show a menu of all the
> tasks that are currently hidden, or something of the sort.

Not that you aren't, but one good thing to consider might be standardizing
on a "voice"; will the voice be that of the user ("I want to shutdown"),
that of the computer ("Shut me down"), or a narrator ("Shut your computer
down")...I think you will find all three mixed randomly throughout
existing software. I don't have a strong preference.

------
1.Why are you measuring the measure? The measure is the same. Even after
Great One, the bones will be broken. I am telling you. Relic should believe me.
2.Where after religion you believe in religion and wish that to Ora.
Emptiness is that what Baby God's Eye is fighting for.